Products๏
- class sp_api.api.Products(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)๏
- Links:
https://github.com/amzn/selling-partner-api-docs/blob/main/references/product-pricing-api/productPricingV0.md https://developer-docs.amazon.com/sp-api/docs/product-pricing-api-v2022-05-01-reference
- get_product_pricing_for_skus(self, seller_sku_list: [str], item_condition: str = None, **kwargs) ApiResponse๏
Returns pricing information for a sellerโs offer listings based on SKU.
Usage Plan:
Rate (requests per second)
Burst
.5
1
Examples
literal blocks:
Products().get_product_pricing_for_skus(['sku', 'sku1'], MarketplaceId="ATVPDKIKX0DER")
- Parameters:
seller_sku_list โ [str]
item_condition โ str (โNewโ, โUsedโ, โCollectibleโ, โRefurbishedโ, โClubโ)
offer_type โ str (โB2Cโ or โB2Bโ) Default is B2C.
**kwargs
- Return type:
- get_product_pricing_for_asins(self, asin_list: [str], item_condition=None, **kwargs) ApiResponse๏
Returns pricing information for a sellerโs offer listings based on ASIN.
Usage Plan:
Rate (requests per second)
Burst
.5
1
Examples
literal blocks:
Products().get_product_pricing_for_asins(['asin1', 'asin2'], MarketplaceId="ATVPDKIKX0DER")
- Parameters:
asin_list โ [str]
item_condition โ str | (โNewโ, โUsedโ, โCollectibleโ, โRefurbishedโ, โClubโ) Filters the offer listings based on item condition. Possible values: New, Used, Collectible, Refurbished, Club. Available values : New, Used, Collectible, Refurbished, Club
offer_type โ str (โB2Cโ or โB2Bโ) Default is B2C.
- Returns:
ApiResponse
- get_competitive_pricing_for_skus(self, seller_sku_list, **kwargs) ApiResponse๏
Returns competitive pricing information for a sellerโs offer listings based on Seller Sku
Usage Plan:
Rate (requests per second)
Burst
.5
1
Examples
literal blocks:
Products().get_competitive_pricing_for_skus([], MarketplaceId="ATVPDKIKX0DER")
- Parameters:
seller_sku_list โ [str]
customer_type โ Optional (query) str (โConsumerโ or โBusinessโ) Indicates whether to request pricing information from the point of view of Consumer or Business buyers. Default is Consumer.
- Returns:
ApiResponse
- get_competitive_pricing_for_asins(self, asin_list, **kwargs) ApiResponse๏
Returns competitive pricing information for a sellerโs offer listings based on ASIN
Usage Plan:
Rate (requests per second)
Burst
.5
1
Examples
literal blocks:
Products().get_competitive_pricing_for_asins([], MarketplaceId="ATVPDKIKX0DER")
- Parameters:
asin_list โ [str]
customer_type โ Optional (query) str (โConsumerโ or โBusinessโ) Indicates whether to request pricing information from the point of view of Consumer or Business buyers. Default is Consumer.
- Returns:
ApiResponse
- get_listings_offer(self, seller_sku: str, **kwargs) ApiResponse๏
Returns the lowest priced offers for a single SKU listing
Usage Plan:
Rate (requests per second)
Burst
1
2
- Parameters:
MarketplaceId (key) โ Required (query) str
item_condition โ Required (query) str | (โNewโ, โUsedโ, โCollectibleโ, โRefurbishedโ, โClubโ) Filters the offer listings based on item condition. Possible values: New, Used, Collectible, Refurbished, Club. Available values : New, Used, Collectible, Refurbished, Club
seller_sku โ Required (path) str
customer_type โ Optional (query) str (โConsumerโ or โBusinessโ) Indicates whether to request pricing information from the point of view of Consumer or Business buyers. Default is Consumer.
- Returns:
ApiResponse
- get_item_offers(self, asin: str, **kwargs) ApiResponse๏
Returns the lowest priced offers for a single item based on ASIN
Usage Plan:
Rate (requests per second)
Burst
.5
1
- Parameters:
MarketplaceId (key) โ Required (query) str
item_condition โ Required (query) str | (โNewโ, โUsedโ, โCollectibleโ, โRefurbishedโ, โClubโ) Filters the offer listings based on item condition. Possible values: New, Used, Collectible, Refurbished, Club. Available values : New, Used, Collectible, Refurbished, Club
asin โ Required (path) str
customer_type โ Optional (query) str (โConsumerโ or โBusinessโ) Indicates whether to request pricing information from the point of view of Consumer or Business buyers. Default is Consumer.
- Returns:
ApiResponse
- get_item_offers_batch(self, requests_: List[Dict | ItemOffersRequest] | None, **kwargs) ApiResponse๏
Returns the lowest priced offers for a batch of items based on ASIN.
Usage Plan:
Rate (requests per second)
Burst
.5
1
- Parameters:
requests โ Optional (Body) [dict] The request associated with the getItemOffersBatch API call.
- Returns:
ApiResponse
- get_listing_offers_batch(self, requests_: List[Dict] | GetListingOffersBatchRequest | None, **kwargs) ApiResponse๏
Returns the lowest priced offers for a batch of listings based on ASIN.
Usage Plan:
Rate (requests per second)
Burst
.5
1
- Parameters:
requests โ Optional (Body) [dict] The request associated with the getListingOffersBatch API call.
- Returns:
ApiResponse
- get_featured_offer_expected_price_batch(self, **kwargs) ApiResponse๏
Returns the set of responses that correspond to the batched list of up to 40 requests defined in the request body. The response for each successful (HTTP status code 200) request in the set includes the computed listing price at or below which a seller can expect to become the featured offer (before applicable promotions). This is called the featured offer expected price (FOEP). Featured offer is not guaranteed, because competing offers may change, and different offers may be featured based on other factors, including fulfillment capabilities to a specific customer. The response to an unsuccessful request includes the available error text.
Usage Plan:
Rate (requests per second)
Burst
.033
1
- Parameters:
requests โ [dict] The request associated with the getFeaturedOfferExpectedPriceBatch API call.
- Return type:
- get_competitive_summary_batch(requests_: List[Dict] | GetCompetitiveSummaryBatch | None, **kwargs) ApiResponse๏
get_competitive_summary(self, **kwargs) -> ApiResponse
Returns the competitive summary response including featured buying options for the ASIN and marketplaceId combination.
Usage Plan:
Rate (requests per second)
Burst
.033
1
- Parameters:
requests โ The request associated with the getCompetitiveSummary API call.
- Return type: